Get conversion routes for a specific currency
curl --request GET \
--url https://api.request.network/v2/currencies/{currencyId}/conversion-routesimport requests
url = "https://api.request.network/v2/currencies/{currencyId}/conversion-routes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.request.network/v2/currencies/{currencyId}/conversion-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currencyId": "USD",
"network": "mainnet",
"conversionRoutes": [
{
"id": "USDT-mainnet",
"name": "Tether USD",
"symbol": "USDT",
"decimals": 6,
"address": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"network": "mainnet",
"type": "ERC20",
"hash": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"chainId": 1
},
{
"id": "ETH-mainnet",
"name": "Ether",
"symbol": "ETH",
"decimals": 18,
"address": "0xf5af88e117747e87fc5929f2ff87221b1447652e",
"network": "mainnet",
"type": "ETH",
"hash": "0xf5af88e117747e87fc5929f2ff87221b1447652e",
"chainId": 1
}
]
}Currencies
Get conversion routes for a specific currency
Get a list of currency objects (with all details) that can be converted to from the specified currency. Optionally filter by network using the βnetworkβ query parameter.
GET
/
v2
/
currencies
/
{currencyId}
/
conversion-routes
Get conversion routes for a specific currency
Headers
API key for authentication (optional if using Client ID)
Client ID for frontend authentication (optional if using API key)
Origin header (required for Client ID auth, automatically set by browser)
Path Parameters
Query Parameters
The network of the token to filter by
A comma-separated list of networks to filter by (e.g., sepolia,mainnet,polygon)
Response
Conversion routes retrieved successfully
Last modified on August 3, 2026
Was this page helpful?